%define ver	2.3.2
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix	/usr

Summary: KAKASI - kanji kana simple inverter
Name: kakasi
Version: %ver
Release: %rel
Source: ftp://kakasi.namazu.org/pub/kakasi/kakasi-%{ver}.tar.gz
URL: http://kakasi.namazu.org/
Copyright: GPL
Group: Applications/Text
Buildroot: /var/tmp/%{name}-%{ver}-buildroot

%description
KAKASI is the language processing filter to convert Kanji characters 
to Hiragana, Katakana or Romaji(1) and may be helpful to read Japanese 
documents. Word-splitting patch has merged from version 2.3.0.

%description -l ja
KAKASI ϴʤޤʸҤ餬ʸ޻ʸѴ뤳Ȥ
ŪȤƺץȼΤǤˡС 
2.3.0 ϡʬ񤭥ѥåޡޤ

%package devel
Summary: header file and libraries of KAKASI
Group: Development/Libraries
Requires: kakasi = %{PACKAGE_VERSION}

%description devel
Header file and Libraries of KAKASI. 

%description devel -l ja
KAKASIΥإåեڤӥ饤֥Ǥ

%package dict
Summary: The base dictionary of KAKASI
Group: Applications/Text
Obsoletes: kakasidict

%description dict
The base dictionary of KAKASI.

%description dict -l ja
KAKASIδܼǤ

%changelog
* Sun Aug 06 2000 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild for 7.0J beta

* Sat Mar 04 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- fix summary.

* Wed Dec 08 1999 Motonobu Ichimura <famao@kondara.org>
- change Group ( Utilities/Text -> Applications/Text ) for Kondara

* Fri Oct 28 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- added japanese manpage in packages.
- build dict packages.

* Sat Oct 16 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- fixed including libkakasi.so* in non-devel packages.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
make

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install
gzip --best $RPM_BUILD_DIR/%{name}-%{ver}/doc/kakasi.1
mkdir -p $RPM_BUILD_ROOT%{prefix}/man/ja/man1
install -m 644 $RPM_BUILD_DIR/%{name}-%{ver}/doc/kakasi.1.gz \
	$RPM_BUILD_ROOT%{prefix}/man/ja/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README README-ja
%{prefix}/bin/*
%{prefix}/lib/libkakasi.so.*
%{prefix}/man/ja/man1/kakasi.1.gz
%{prefix}/share/kakasi/itaijidict

%files devel
%defattr(-, root, root)
%{prefix}/lib/libkakasi.so
%{prefix}/lib/libkakasi.a
%{prefix}/lib/libkakasi.la
%{prefix}/include/libkakasi.h

%files dict
%defattr(-, root, root)
%{prefix}/share/kakasi/kanwadict
